#include <pspkernel.h>

#include "util.h"

int startCreateThread(const char *name, SceKernelThreadEntry entry, SceSize argc, void *argp)
{
    SceUID thid = sceKernelCreateThread(name, entry, 0x10, 0x400, 0, 0);
    if (thid < 0)
    {
        die("could not create playback thread %08x", thid);
        return thid;
    }

    int result = sceKernelStartThread(thid, argc, argp);
    if (result < 0)
    {
        die("could not start playback thread %08x", result);
        return result;
    }
    return 1;
}