#ifndef UTIL
#define UTIL

#include <stdio.h>

#define die(format, ...) fprintf(stdout, format "\n", #__VA_ARGS__)
#define diePspError(result, format, ...) fprintf(stdout, format "\n", #__VA_ARGS__)

#define min(a, b) ((a) < (b) ? (a) : (b))

#define max(a, b) ((a) > (b) ? (a) : (b))

#define clamp(v, minV, maxV) ((v) < (minV) ? (minV) : (v) > (maxV) ? (maxV) \
                                                                   : (v))

#define sign(v) ((v) < 0 ? -1 : v > 0 ? 1 : 0)

#define log(format, ...) fprintf(stdout, format "\n", ##__VA_ARGS__)

int startCreateThread(const char *name, SceKernelThreadEntry entry, SceSize argc, void *argp);

#endif /* UTIL */
